from __future__ import unicode_literals

# Name:         __init__.py
# Authors:      Matthew Sheridan
# Date:         29 March 2016
# Revision:     11 Aug 2016
# Copyright:    Matthew Sheridan 2016
# Licence:      Beer-Ware License Rev. 42

__authors__ = 'Matthew Sheridan'
__credits__ = ['Matthew Sheridan']
__date__    = '11 Aug 2016'
__version__ = '0.2.21'
__status__  = 'Development'

import os

from mopidy import config, ext
from .car_pi import CarPi

class Extension(ext.Extension):

    dist_name = 'Mopidy-CarPi'
    ext_name = 'carpi'
    version = __version__

    def get_default_config(self):
        conf_file = os.path.join(os.path.dirname(__file__), 'ext.conf')
        return config.read(conf_file)

    def get_config_schema(self):
        schema = super(Extension, self).get_config_schema()
        schema['adc_chan_vol'] = config.Integer()
        schema['deadzone_vol_lo'] = config.Integer()
        schema['deadzone_vol_hi'] = config.Integer()
        schema['gpio_spiclk'] = config.Integer()
        schema['gpio_spics'] = config.Integer()
        schema['gpio_spimiso'] = config.Integer()
        schema['gpio_spimosi'] = config.Integer()
        return schema

    def setup(self, registry):
        registry.add('frontend', CarPi)
